Bug 123675 - New port: deskutils/py-labyrinth Mind mapping tool for Gnome written in Python
Summary: New port: deskutils/py-labyrinth Mind mapping tool for Gnome written in Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-14 17:40 UTC by Martin
Modified: 2008-12-19 14:30 UTC (History)
0 users

See Also:


Attachments
file.shar (6.12 KB, text/plain)
2008-05-14 17:40 UTC, Martin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2008-05-14 17:40:01 UTC
(Description copied from website.)

Labyrinth is a lightweight mind-mapping tool for the GNOME desktop.
It is written in Python and uses cairo for its rendering. It is
intended to be as light and intuitive as possible, but still provide
a wide range of powerful features.



Remark:

I'm not sure about the dependencies. It would be nice, if someone can test it.

Martin
Comment 1 Edwin Groothuis freebsd_committer 2008-05-14 17:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2008-06-15 09:00:51 UTC
Hello Martin,

We usually don't add a new port with ports@FreeBSD.org in  maintainer field.
Would you mind be the maintainer of this port?  Thanks!

Best Regards,
Li-Wen
Comment 3 Li-Wen Hsu freebsd_committer 2008-07-26 14:28:43 UTC
State Changed
From-To: open->feedback

Ask for submitter's will to be maintainer of this port.
Comment 4 Romain Tartière 2008-10-11 09:21:49 UTC
Martin, Li-Wen,

I am also addicted to plotting stuff with Labyrinth and discovered this
PR when creating a port for this tool.

Since this PR seems stale, I am okay to take maintainership for
Labyrinth. Here is my version of the port (more simple), with minor
tweaks got from the version by Martin.


--- labyrinth.sh begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	labyrinth
#	labyrinth/files
#	labyrinth/files/patch-src_labyrinth.py
#	labyrinth/files/patch-data_Makefile.in
#	labyrinth/pkg-descr
#	labyrinth/distinfo
#	labyrinth/pkg-plist
#	labyrinth/Makefile
#
echo c - labyrinth
mkdir -p labyrinth > /dev/null 2>&1
echo c - labyrinth/files
mkdir -p labyrinth/files > /dev/null 2>&1
echo x - labyrinth/files/patch-src_labyrinth.py
sed 's/^X//' >labyrinth/files/patch-src_labyrinth.py << '2833ddc0bd49aa6e0bb034ee279cfdca'
X
X$FreeBSD$
X
X--- src/labyrinth.py.orig
X+++ src/labyrinth.py
X@@ -56,11 +56,12 @@
X if hasattr(gettext, 'bind_textdomain_codeset'):
X 	gettext.bind_textdomain_codeset('labyrinth','UTF-8')
X gettext.textdomain('labyrinth')
X-if not os.name == 'nt':
X-	locale.bindtextdomain('labyrinth', localedir)
X-	if hasattr(locale, 'bind_textdomain_codeset'):
X-		locale.bind_textdomain_codeset('labyrinth','UTF-8')
X-	locale.textdomain('labyrinth')
X+if hasattr(locale, 'bindtextdomain'):
X+	if not os.name == 'nt':
X+		locale.bindtextdomain('labyrinth', localedir)
X+		if hasattr(locale, 'bind_textdomain_codeset'):
X+			locale.bind_textdomain_codeset('labyrinth','UTF-8')
X+		locale.textdomain('labyrinth')
X 
X gtk.glade.bindtextdomain('labyrinth')
X gtk.glade.textdomain('labyrinth')
2833ddc0bd49aa6e0bb034ee279cfdca
echo x - labyrinth/files/patch-data_Makefile.in
sed 's/^X//' >labyrinth/files/patch-data_Makefile.in << 'd0450586d2c9b3a763856e99c47e264d'
X
X$FreeBSD$
X
X--- data/Makefile.in.orig
X+++ data/Makefile.in
X@@ -437,8 +437,7 @@
X @INTLTOOL_DESKTOP_RULE@
X 
X install-icons:
X-# This sucks
X-	for size in 16x16 22x22 24x24 scalable; do mkdir --parents $(DESTDIR)/$(datadir)/icons/hicolor/$$size/apps; done
X+	for size in 16x16 22x22 24x24 scalable; do install -d $(DESTDIR)/$(datadir)/icons/hicolor/$$size/apps; done
X 	install -m 644 $(srcdir)/labyrinth-16.png $(DESTDIR)/$(datadir)/icons/hicolor/16x16/apps/labyrinth.png
X 	install -m 644 $(srcdir)/labyrinth-22.png $(DESTDIR)/$(datadir)/icons/hicolor/22x22/apps/labyrinth.png
X 	install -m 644 $(srcdir)/labyrinth-24.png $(DESTDIR)/$(datadir)/icons/hicolor/24x24/apps/labyrinth.png
d0450586d2c9b3a763856e99c47e264d
echo x - labyrinth/pkg-descr
sed 's/^X//' >labyrinth/pkg-descr << '4a030ee05712d0daf59ca7b2494bf735'
XLabyrinth is a lightweight mind-mapping tool for the GNOME desktop. It is
Xwritten in Python and uses cairo for its rendering. It is intended to be as
Xlight and intuitive as possible, but still provide a wide range of powerful
Xfeatures.
X
XWWW:	http://code.google.com/p/labyrinth/
4a030ee05712d0daf59ca7b2494bf735
echo x - labyrinth/distinfo
sed 's/^X//' >labyrinth/distinfo << '7f76c4a02750d85a4ed1abdf8961b065'
XMD5 (labyrinth_0.4.1.tar.gz) = 74a9f9ae7710ef99ab2597c9d4eb24b1
XSHA256 (labyrinth_0.4.1.tar.gz) = 3fafcbd622074eaa80710d7eb76849d5e9b1e36742f48110e2425eb760e2d53c
XSIZE (labyrinth_0.4.1.tar.gz) = 553527
7f76c4a02750d85a4ed1abdf8961b065
echo x - labyrinth/pkg-plist
sed 's/^X//' >labyrinth/pkg-plist << '27c0bd7cd75bb17145b7f7b725298ab8'
X@comment $FreeBSD$
Xbin/labyrinth
X%%PYTHON_SITELIBDIR%%/labyrinth/BaseThought.py
X%%PYTHON_SITELIBDIR%%/labyrinth/BaseThought.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/BaseThought.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/Browser.py
X%%PYTHON_SITELIBDIR%%/labyrinth/Browser.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/Browser.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/DrawingThought.py
X%%PYTHON_SITELIBDIR%%/labyrinth/DrawingThought.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/DrawingThought.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/ImageThought.py
X%%PYTHON_SITELIBDIR%%/labyrinth/ImageThought.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/ImageThought.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/Links.py
X%%PYTHON_SITELIBDIR%%/labyrinth/Links.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/Links.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/MMapArea.py
X%%PYTHON_SITELIBDIR%%/labyrinth/MMapArea.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/MMapArea.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/MainWindow.py
X%%PYTHON_SITELIBDIR%%/labyrinth/MainWindow.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/MainWindow.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/MapList.py
X%%PYTHON_SITELIBDIR%%/labyrinth/MapList.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/MapList.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/PeriodicSaveThread.py
X%%PYTHON_SITELIBDIR%%/labyrinth/PeriodicSaveThread.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/PeriodicSaveThread.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/TextBufferMarkup.py
X%%PYTHON_SITELIBDIR%%/labyrinth/TextBufferMarkup.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/TextBufferMarkup.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/TextThought.py
X%%PYTHON_SITELIBDIR%%/labyrinth/TextThought.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/TextThought.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/TrayIcon.py
X%%PYTHON_SITELIBDIR%%/labyrinth/TrayIcon.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/TrayIcon.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/UndoManager.py
X%%PYTHON_SITELIBDIR%%/labyrinth/UndoManager.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/UndoManager.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/__init__.py
X%%PYTHON_SITELIBDIR%%/labyrinth/__init__.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/__init__.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/defs.py
X%%PYTHON_SITELIBDIR%%/labyrinth/defs.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/defs.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/prefs.py
X%%PYTHON_SITELIBDIR%%/labyrinth/prefs.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/prefs.pyo
X%%PYTHON_SITELIBDIR%%/labyrinth/utils.py
X%%PYTHON_SITELIBDIR%%/labyrinth/utils.pyc
X%%PYTHON_SITELIBDIR%%/labyrinth/utils.pyo
Xshare/applications/labyrinth.desktop
Xshare/icons/hicolor/16x16/apps/labyrinth.png
Xshare/icons/hicolor/22x22/apps/labyrinth.png
Xshare/icons/hicolor/24x24/apps/labyrinth.png
Xshare/icons/hicolor/scalable/apps/labyrinth.svg
X%%DATADIR%%/labyrinth-ui.xml
X%%DATADIR%%/labyrinth.glade
Xshare/locale/ca/LC_MESSAGES/labyrinth.mo
Xshare/locale/cs/LC_MESSAGES/labyrinth.mo
Xshare/locale/de/LC_MESSAGES/labyrinth.mo
Xshare/locale/eu/LC_MESSAGES/labyrinth.mo
Xshare/locale/fa/LC_MESSAGES/labyrinth.mo
Xshare/locale/fr/LC_MESSAGES/labyrinth.mo
Xshare/locale/it/LC_MESSAGES/labyrinth.mo
Xshare/locale/nl/LC_MESSAGES/labyrinth.mo
Xshare/locale/pl/LC_MESSAGES/labyrinth.mo
Xshare/locale/pt_BR/LC_MESSAGES/labyrinth.mo
Xshare/locale/pt_PT/LC_MESSAGES/labyrinth.mo
Xshare/locale/ru/LC_MESSAGES/labyrinth.mo
Xshare/locale/sv/LC_MESSAGES/labyrinth.mo
X@dirrm %%DATADIR%%
X@dirrm %%PYTHON_SITELIBDIR%%/labyrinth
27c0bd7cd75bb17145b7f7b725298ab8
echo x - labyrinth/Makefile
sed 's/^X//' >labyrinth/Makefile << 'fedc9bfa297870c2a1bd8b529548755f'
X# New ports collection makefile for:	labyrinth
X# Date created:		2008-09-28
X# Whom:			Romain Tartiere <romain@blogreen.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	labyrinth
XPORTVERSION=	0.4.1
XCATEGORIES=	deskutils python
XMASTER_SITES=	GOOGLE_CODE
XPKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}
XDISTNAME=      ${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	romain@blogreen.org
XCOMMENT=	Mind-mapping tool for GNOME
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-0.4.0
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XCONFIGURE_ENV=	GMSGFMT=msgfmt
XUSE_GNOME=	pygnome2 gnomedesktop gnomehack
XUSE_PYTHON=	yes
XUSE_GETTEXT=	yes
XINSTALLS_ICONS=	yes
X
X.include <bsd.port.mk>
fedc9bfa297870c2a1bd8b529548755f
exit
--- labyrinth.sh ends here ---


With kind regards,
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 5 Li-Wen Hsu freebsd_committer 2008-10-11 16:19:10 UTC
Responsible Changed
From-To: freebsd-python->lwhsu

I'll take it.
Comment 6 Li-Wen Hsu freebsd_committer 2008-10-14 20:43:40 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 7 Pav Lucistnik freebsd_committer 2008-12-19 13:37:49 UTC
State Changed
From-To: open->closed

Romain's version added as a new port
Comment 8 dfilter service freebsd_committer 2008-12-19 14:20:14 UTC
pav         2008-12-19 14:19:54 UTC

  FreeBSD ports repository

  Modified files:
    deskutils            Makefile 
  Added files:
    deskutils/labyrinth  Makefile distinfo pkg-descr pkg-plist 
    deskutils/labyrinth/files patch-data_Makefile.in 
                              patch-src_labyrinth.py 
  Log:
  Labyrinth is a lightweight mind-mapping tool for the GNOME desktop. It is
  written in Python and uses cairo for its rendering. It is intended to be as
  light and intuitive as possible, but still provide a wide range of powerful
  features.
  
  WWW:    http://code.google.com/p/labyrinth/
  
  PR:             ports/123675
  Submitted by:   Romain Tartiere <romain@blogreen.org>
  
  Revision  Changes    Path
  1.349     +1 -0      ports/deskutils/Makefile
  1.1       +26 -0     ports/deskutils/labyrinth/Makefile (new)
  1.1       +3 -0      ports/deskutils/labyrinth/distinfo (new)
  1.1       +15 -0     ports/deskutils/labyrinth/files/patch-data_Makefile.in (new)
  1.1       +23 -0     ports/deskutils/labyrinth/files/patch-src_labyrinth.py (new)
  1.1       +6 -0      ports/deskutils/labyrinth/pkg-descr (new)
  1.1       +75 -0     ports/deskutils/labyrinth/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"